# Class FBranch

Branch represents a relationship between a child note and its parent note. Trilium allows a note to have multiple parents.

- Defined in src/public/app/entities/fbranch.ts:18

##### Index

### Constructors

constructor

### Properties

branchId
fromSearchNote
isExpanded?
noteId
notePosition
parentNoteId
prefix?

### Accessors

pojo
toString

### Methods

getNote
getNoteFromCache
getParentNote
isTopLevel
update

## Constructors

### constructor

- new FBranch(froca: Froca , row: FBranchRow ): FBranch

  #### Parameters

  - froca: Froca
  - row: FBranchRow

  #### Returns FBranch

  - Defined in src/public/app/entities/fbranch.ts:32

## Properties

### branchId

branchId: string

primary key

- Defined in src/public/app/entities/fbranch.ts:24

### fromSearchNote

fromSearchNote: boolean

- Defined in src/public/app/entities/fbranch.ts:30

### `Optional` isExpanded

isExpanded?: boolean

- Defined in src/public/app/entities/fbranch.ts:29

### noteId

noteId: string

- Defined in src/public/app/entities/fbranch.ts:25

### notePosition

notePosition: number

- Defined in src/public/app/entities/fbranch.ts:27

### parentNoteId

parentNoteId: string

- Defined in src/public/app/entities/fbranch.ts:26

### `Optional` prefix

prefix?: string

- Defined in src/public/app/entities/fbranch.ts:28

## Accessors

### pojo

- get pojo(): Omit < FBranch , "froca">

  #### Returns Omit < FBranch , "froca">

  - Defined in src/public/app/entities/fbranch.ts:72

### toString

- get toString(): string

  #### Returns string

  - Defined in src/public/app/entities/fbranch.ts:68

## Methods

### getNote

- getNote(): Promise<null | FNote >

  #### Returns Promise<null | FNote >

  - Defined in src/public/app/entities/fbranch.ts:51

### getNoteFromCache

- getNoteFromCache(): FNote

  #### Returns FNote

  - Defined in src/public/app/entities/fbranch.ts:55

### getParentNote

- getParentNote(): Promise<null | FNote >

  #### Returns Promise<null | FNote >

  - Defined in src/public/app/entities/fbranch.ts:59

### isTopLevel

- isTopLevel(): boolean

  #### Returns boolean

  true if it's top level, meaning its parent is the root note

  - Defined in src/public/app/entities/fbranch.ts:64

### update

- update(row: FBranchRow ): void

  #### Parameters

  - row: FBranchRow

  #### Returns void

  - Defined in src/public/app/entities/fbranch.ts:38